Package org.apache.nutch.crawl

## Class Generator.SelectorMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<Text,​CrawlDatum,​FloatWritable,​Generator.SelectorEntry>
  - - org.apache.nutch.crawl.Generator.SelectorMapper

- Enclosing class:
    Generator

      public static class Generator.SelectorMapper
      extends Mapper<Text,​CrawlDatum,​FloatWritable,​Generator.SelectorEntry>

  Select and invert subset due for fetch.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectorMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `map​(Text key, CrawlDatum value, Mapper.Context context)` |
    `void` | `setup​(Mapper.Context context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectorMapper

          public SelectorMapper()

  - ### Method Detail

    - #### setup

          public void setup​(Mapper.Context context)
                     throws IOException

      Overrides:
        `setup` in class `Mapper<Text,​CrawlDatum,​FloatWritable,​Generator.SelectorEntry>`
      Throws:
        `IOException`

    - #### map

          public void map​(Text key,
                          CrawlDatum value,
                          Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<Text,​CrawlDatum,​FloatWritable,​Generator.SelectorEntry>`
      Throws:
        `IOException`
        `InterruptedException`